XmAddWMProtocols(library call)

NAME
XmAddWMProtocols — A VendorShell convenience interface that adds the protocols to the protocol manager and allocates the internal tables

SYNOPSIS

#include <Xm/Protocols.h>
void XmAddWMProtocols(
Widget shell,
Atom *protocols,
Cardinal num_protocols);

DESCRIPTION

XmAddWMProtocols is a convenience interface. It calls XmAddProtocols with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated

protocols
    Specifies the protocol Atoms

num_protocols
    Specifies the number of elements in protocols

For a complete definition of VendorShell and its associated resources, see VendorShell(3).

RELATED

VendorShell(3), XmAddProtocols(3), XmInternAtom(3), and XmRemoveWMProtocols.